This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 57694 - building perl-5.6.1-12.src.rpm fails on 7.2 system w/ perl-5.6.0-17 installed
building perl-5.6.1-12.src.rpm fails on 7.2 system w/ perl-5.6.0-17 installed
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: perl (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-19 01:20 EST by Joe Christy
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-19 01:20:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Christy 2001-12-19 01:20:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6+) Gecko/20011214

Description of problem:
Build fails at line 257 of perl.spec, executing clean-manifest.pl.

error message:

+ ./perl /usr/src/redhat/SOURCES/clean-manifest.pl i386
/usr/src/redhat/SOURCES/system-owned-directories MANIFEST.all MANIFEST.all.tmp
Can't locate strict.pm in @INC (@INC contains:
/usr/lib/perl5/5.6.1/i386-linux /usr/lib/perl5/5.6.1
/usr/lib/perl5/site_perl/5.6.1/i386-linux /usr/lib/perl5/site_perl/5.6.1
/usr/lib/perl5/site_perl/5.6.0/i386-linux /usr/lib/perl5/site_perl/5.6.0
/usr/lib/perl5/site_perl .) at /usr/src/redhat/SOURCES/clean-manifest.pl
line 2.
BEGIN failed--compilation aborted at
/usr/src/redhat/SOURCES/clean-manifest.pl line 2.

strict.pm is actually in /usr/lib/perl5/5.6.0/strict.pm, which is not in @INC

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm -ivh <some path>/perl-5.6.1-12.src.rpm
2.in /usr/src/redhat/SPECS, rpm -ba -vv perl.spec
3.
	

Actual Results:  + ./perl /usr/src/redhat/SOURCES/clean-manifest.pl i386
/usr/src/redhat/SOURCES/system-owned-directories MANIFEST.all MANIFEST.all.tmp
Can't locate strict.pm in @INC (@INC contains:
/usr/lib/perl5/5.6.1/i386-linux /usr/lib/perl5/5.6.1
/usr/lib/perl5/site_perl/5.6.1/i386-linux /usr/lib/perl5/site_perl/5.6.1
/usr/lib/perl5/site_perl/5.6.0/i386-linux /usr/lib/perl5/site_perl/5.6.0
/usr/lib/perl5/site_perl .) at /usr/src/redhat/SOURCES/clean-manifest.pl
line 2.
BEGIN failed--compilation aborted at
/usr/src/redhat/SOURCES/clean-manifest.pl line 2.
error: Bad exit status from /var/tmp/rpm-tmp.18257 (%install)


Expected Results:  @INC should have had /usr/lib/perl5/5.6.0/strict.pm in
it, clean-manifest.pl should have executed, build should have succeeeded.

Additional info:

Symlinking /usr/lib/perl5/5.6.0/strict.pm to
/usr/lib/perl5/site_perl/5.6.0/ kludges around the problem; build succeeeds.
Comment 1 Chip Turner 2001-12-19 02:57:28 EST
this should be fixed in -14, which is compiling now.  problem fixed via -I lib/
to pull strict.pm in from the build directory instead of the @INC (which points
to the filesystem of the machine's root and not buildroot at that point).

please report future failures of this rpm and other CPAN modules.  it should be
backwards compatible once installed with the 5.6.0-compiled Red Hat CPAN modules.

Note You need to log in before you can comment on or make changes to this bug.